#!/bin/sh

USER=www
export USER
GROUP=wheel
export GROUP
HOME=/home/$USER
export HOME
PATH=$PATH:$HOME/cgi-bin
export PATH

case $# in
	0)
	echo "Content-type: text/plain"
	echo
	tmp=`didnt_issue.cgi | wc -l`
	issue=$(( $tmp - 2 ))
	tmp=`check_relay.cgi | wc -l`
	relay=$(( $tmp - 2 ))
	tmp=`check_mail.cgi | wc -l`
	mail=$(( $tmp - 2 ))
	tmp=`check_domain.cgi | wc -l`
	dom=$(( $tmp - 2 ))
	tmp=`check_rcpt.cgi | wc -l`
	dism=$(( $tmp - 2 ))
	tmp=`from_relay.cgi | wc -l`
	from=$(( $tmp - 2 ))
	;;
	1)
	if [ $1 -lt 0 ]; then
		opt=`echo $1 | awk '{ print sqrt( $1 * $1 ) }'`
	else
		opt=$1
	fi
	if [ $opt -ge 9 ]; then
		echo "No maillog"
		exit
	fi
	issue=`didnt_issue.cgi $opt | wc -l`
	relay=`check_relay.cgi $opt | wc -l`
	mail=`check_mail.cgi $opt Access | wc -l`
	dom=`check_mail.cgi $opt Domain | wc -l`
	dism=`check_rcpt.cgi $opt Mailbox | wc -l`
	from=`from_relay.cgi $opt | wc -l`
	;;
esac

echo
echo "issued mail denied + mailbox disabled + doesn't resolve domain = irregular mail"
iregm=$(( $mail + $dism + $dom ))
echo $mail "+" $dism "+" $dom "=" $iregm
echo
echo "irregular mail + other issued mail = issued mail"
other=$(( $from - $iregm ))
echo $iregm "+" $other "=" $from
echo
echo "relay denied + issued mail denied  = access denied"
access=$(( $relay + $mail ))
echo $relay "+" $mail "=" $access
echo
echo "relay denied + issued mail + didn't issue mail = total access"
total=$(( $relay + $issue + $from ))
echo $relay "+" $from "+" $issue "=" $total
echo
per=$(( $access \* 100 ))
answer=$(( $per / $total ))
kiro=$(( $access \* 1000 ))
dec=$(( $kiro / $total ))
centi=$(( $answer \* 10 ))
err=$(( $dec - $centi ))
echo "access denied / total access = access denied percentage"
echo $access "/" $total "=" $answer"."$err"%"
echo

