#!/bin/sh

USER=www
export USER
GROUP=wheel
export GROUP
HOME=/home/$USER
export HOME
PATH=$PATH:$HOME/bin
export PATH
LANG=C
export LANG
LOGDIR=/var/log
LOGFILE=maillog

im=`date '+%m'`
jm=$im
id=`date '+%d'`
jd=$id
ih=`date '+%H'`
case $# in
0)
echo "Content-type: text/plain"
echo
LOGDIR=$HOME/htdocs/$LOGFILE
if [ $ih -eq "00" ]; then
	hour=24
else
	hour=$ih
fi
;;
1)
if [ $1 -lt 0 ]; then
	hour=`echo $1 | awk '{ print sqrt( $1 * $1 ) }'`
else
	hour=$1
fi
if [ $hour -eq 0 ]; then
	if [ $ih -eq "00" ]; then
		hour=24
	else
		hour=$ih
	fi
elif [ $hour -gt 216 ]; then
	hour=215
else
	hour=$(( $hour - 1 ))
fi
;;
esac
while [ $hour -ge 0 ];
do
opt='-v-'$hour'H'
day=`date $opt '+%d'`
mon=`date $opt '+%m'`
if [ $jm -eq 1 ]; then
	id=$jd
	if [ $mon -eq 12 ]; then
		im=13
	fi
	if [ $mon -ne 12 ]; then
		im=$jm
	fi
fi
chkmon=$(( $im - $mon ))
if [ $chkmon -gt 0 ]; then
	dayopt='-v-'$id'd'
	chkday=`date $dayopt '+%d'`
	dayinc=$(( $chkday - $day ))
	id=$(( $id + $day + $dayinc ))
	im=$(( $im - 1 ))
fi
if [ $chkmon -lt 0 ]; then
	dayinc=$(( $jd - $day ))
	day=$(( $id - $dayinc ))
fi
fnum=$(( $id - $day - 1 ))
dat=`date $opt '+%b %d %H' | sed "s/\([a-z] \)0\([1-9]\)/\1 \2/1"`
if [ $fnum -gt 7 ]; then
echo $dat "access denied = No maillog"
else
if [ $fnum -ge 0 ] && [ -f $LOGDIR/$LOGFILE.$fnum.gz ]; then
	cnt=`zcat $LOGDIR/$LOGFILE.$fnum.gz | grep "^$dat" | grep Access | wc -l`
else
	cnt=`cat $LOGDIR/$LOGFILE | grep "^$dat" | grep Access | wc -l`
fi
echo $dat "access denied =" $cnt
fi
hour=$(( $hour - 1 ))
done

